SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Newt library Vendors:   [Multiple Authors/Vendors]
Newt Library Heap Overflow Lets Local Users Gain Elevated Privileges
SecurityTracker Alert ID:  1022942
SecurityTracker URL:  http://securitytracker.com/id/1022942
CVE Reference:   CVE-2009-2905   (Links to External Site)
Date:  Sep 24 2009
Impact:   User access via local system

Version(s): 0.52.10, possibly earlier versions
Description:   A vulnerability was reported in the Newt Library. A local user can obtain elevated privileges on the target system.

A local user can issue a specially crafted text dialog box display request to trigger a heap overflow and cause arbitrary code to be executed by the target application that uses the newt library. The code will run with the privileges of the target application.

Impact:   A local user can obtain elevated privileges on the target system.
Solution:   No solution was available at the time of this entry.
Cause:   Boundary error
Underlying OS:  Linux (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Sep 24 2009 (Red Hat Issues Fix) Newt Library Heap Overflow Lets Local Users Gain Elevated Privileges
Red Hat has released a fix for Red Hat Enterprise Linux 3, 4, and 5.
Mar 4 2010 (VMware Issues Fix for ESX) Newt Library Heap Overflow Lets Local Users Gain Elevated Privileges
VMware has issued a fix for ESX Service Console 4.0.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC